Lavalite package that provides automobile management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `laraauto/automobile`.

    "laraauto/automobile": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Laraauto\Automobile\Providers\AutomobileServiceProvider::class,

And also add it to alias

    'Automobile'  => Laraauto\Automobile\Facades\Automobile::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Laraauto\\AutomobileTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Laraauto\Automobile\Providers\AutomobileServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Laraauto\Automobile\Providers\AutomobileServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Laraauto\Automobile\Providers\AutomobileServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/automobile/{modulename}

**User**

    http://path-to-route-folder/user/automobile/{modulename}

**Public**

    http://path-to-route-folder/automobiles


### API endpoints

**List**

    http://path-to-route-folder/api/user/automobile/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/automobile/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/automobile/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/automobile/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/automobile/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/automobile/{modulename}/{slug}
    METHOD: GET