<?php

// web routes  for automobile
Route::prefix('{guard}/automobile')->group(function () {
    Route::resource('automobile', 'AutomobileResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'AutomobileResourceController');
            });
            // Public routes for pages
            Route::get('automobiles/', 'AutomobilePublicController@index');
            Route::get('automobiles/{slug?}', 'AutomobilePublicController@show');
        }
    );
}


// web routes  for accessory
Route::prefix('{guard}/automobile')->group(function () {
    Route::resource('accessory', 'AccessoryResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'AccessoryResourceController');
            });
            // Public routes for pages
            Route::get('automobiles/', 'AccessoryPublicController@index');
            Route::get('automobiles/{slug?}', 'AccessoryPublicController@show');
        }
    );
}

